# SWDB

# \Guild_Member

Guild.

Represents an object from the table 'guild'.

## Summary

Methods
Properties
Constants
__construct()
$db
$id
$guild
$name
$level
$grade
$rating
$arena_score
$joined
$last_login
$in_war
$has_defense
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/Guild_Member.php
Package
  Default
Class hierarchy
  \Entity
  \Guild_Member

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $id

    $id : integer

#### Type

integer — Member identifier.

#

## Tags

None found

### $guild

    $guild : integer

#### Type

integer — Guild id.

#

## Tags

None found

### $name

    $name : string

#### Type

string — Member name.

#

## Tags

None found

### $level

    $level : integer

#### Type

integer — Member level.

#

## Tags

None found

### $grade

    $grade : integer

#### Type

integer — Member grade.

#

## Tags

None found

### $rating

    $rating : integer

#### Type

integer — Memeber rating.

#

## Tags

None found

### $arena_score

    $arena_score : integer

#### Type

integer — Memebr arena score.

#

## Tags

None found

### $joined

    $joined : \DateTime

#### Type

\DateTime — Time the user joined the guild at.

#

## Tags

None found

### $last_login

    $last_login : \Datetime

#### Type

\Datetime — Time the user last log on at.

#

## Tags

None found

### $in_war

    $in_war : boolean

#### Type

boolean — Indicates if the member is included in guild wars.

#

## Tags

None found

### $has_defense

    $has_defense : boolean

#### Type

boolean — Indicates if the member has set guild wars defenses.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the guild, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Guild identifier.

#

## Tags

None found

### Guild_Member.php